Subject: [bug#73439] [PATCH v5 4/5] gnu: libreoffice: Update to 24.8.2.1.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 17 Nov 2024 17:40:12 +0100

Hi,

Nicolas Graves <[email-masked]> skribis:

>> Did it not apply correctly?  I think it's the same error as 43579.
>
> I don't really know what broke that, possibly recent work on input
> ordering.  When putting gcc-12 as the last native-input, it seems to
> work properly on my end (whereas alphabetically, I would have the same
> error).  All of this is a dirty hack though, but at least it points to
> the right issue which is not with libreoffice but 43579.

‘dune-istl’ has this workaround for bug#43579:

--8<---------------cut here---------------start------------->8---
     ;; XXX: istl/test/matrixtest.cc includes <fenv.h> and fails to find
     ;; the stdlib types when the gfortran header is used.  Remove gfortran
     ;; from CPLUS_INCLUDE_PATH as a workaround.
     (add-after 'set-paths 'hide-gfortran
       (lambda* (#:key inputs #:allow-other-keys)
         (let ((gfortran (assoc-ref inputs "gfortran")))
           (setenv "CPLUS_INCLUDE_PATH"
                   (string-join
                    (delete (string-append gfortran "/include/c++")
                            (string-split (getenv "CPLUS_INCLUDE_PATH") #\:))
                    ":"))
           #t)))
--8<---------------cut here---------------end--------------->8---

Maybe we can do something similar here?

HTH,
Ludo’.